<style>
	.margtop5 {
    margin-top: 142px!important;
}
.usermenu li{
	padding: initial!important;
}

.gridcss{
	font-size: 13px;
}

.table td, .table th {
    padding: 13px !important;
    vertical-align: top !important;
    border-top: 1px solid #e9ecef !important;
}
#myTab{
	background-color: #2195c3 !important;

}
.nav-tabs > li > a {
	color: white!important;
	background-color: #2195c3 !important;
}
.nav-tabs > li.active > a, .nav-tabs > li.active > a:focus, .nav-tabs > li.active > a:hover {
color: #2195c3 !important;
background-color: white!important;
border: #d9171880 !important;
}
h4{
    font-size: 18px !important;
}
body{
    font-size: 14px !important;
}
.form-control{
    font-size: 14px !important;
	padding: 6px 3px !important;
}
.input-group-append {
    display: none !important;
}
b {
    font-weight: 700;
}
.table td{
	font-size: 14px !important;
}
/* .tab-card-header > .nav-tabs > li > a {
  border: 0;
  color: hsla(0,0%,100%,.6);

}

.tab-card-header > .nav-tabs > li > a.show {
    border-bottom:2px solid #007bff;
    color: #007bff;
}
.tab-card-header > .nav-tabs > li > a:hover {
    color: white;
}
.nav>li>a:focus, .nav>li>a:hover {
    text-decoration: none;
    background-color: #2195c3 !important;
}

.tab-card-header > .tab-content {
  padding-bottom: 0;
}
.nav-tabs > li > a {
	color: white!important;
}


.nav-tabs > li.active > a, .nav-tabs > li.active > a:focus, .nav-tabs > li.active > a:hover {
    opacity: 1 !important;
	background-color: #ffffff !important;
   color:#2095c2 !important;
    border: #d9171880 !important;
 
} */
.modal-backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1040;
    background-color: #000 !important;
}

.modal-backdrop.fade {
    opacity: 0
}

.modal-backdrop.show {
    opacity: .5
}
</style>


<link rel="stylesheet" href="css/pagesCss/userView.css"></link>

<div class="container borderClass margtop5 " style="margin-top: 161px!important; line-height: 3;">
<div class="row">
	<!-- LEFT CONTENT-->
	<div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 panel-body">
	<div ng-include="'views/account/user_menu.html'"></div>
			<div class="clearfix"></div>
	</div> <!-- end -->
	<div class="artloader" ng-show="artloading">
		<div class="cssload-container" >
			<div class="cssload-tube-tunnel">
		 <img src="assets/loadingart.gif" alt="loader" class="loaderimg" /></div>
		</div>
		</div>
	<!-- Right CONTENT-->
	<div class="col-xs-12 col-sm-9 col-md-9 col-lg-9 borderOverRide">
		<div class="row" id="recentBookingModule" ng-show="!noRecords">
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mt9">
			
				<div class="row">
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
							<h3 class="md0 size20 mt10 dark"><b>Search</b></h3>
						</div>
					</div>
					<form class="bookingForm">
					<div class="row">
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-3">
							<div class="form-group p-3">
								<label class="">Booking Date From.</label>
								<div class="input-group">
					
									<div class="input-group-append">
										<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
										</div>
										 
										<input  type="date" class="form-control" id="bookingDateFrom" name="bookingDateFrom" onblur="bkgfrmDate();" style="background-color:white;"placeholder="DD/MM/YYYY"   autocomplete="off"/>
									
									</div> 
						</div>
					</div>
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-3">
							<div class="form-group p-3">
								<label class=""> Booking Date To.</label>
								<div class="input-group">
					
									<div class="input-group-append">
										<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
										</div>
										 
										<input  type="date" class="form-control" id="bookingDateTo" name="bookingDateTo" style="background-color:white;"placeholder="DD/MM/YYYY"   autocomplete="off"/>
									</div> 
						</div>
						</div>
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-3">
							<div class="form-group p-3">
								<label class="">Journey Date From.</label>
								<div class="input-group">
					
									<div class="input-group-append">
										<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
										</div>
										 
										<input  type="date" class="form-control" id="journeyDateFrom" name="journeyDateFrom" onblur="jrnfrmDate();" style="background-color:white;"placeholder="DD/MM/YYYY"   autocomplete="off"/>
									</div> 
						</div>
					</div>

					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-3">
						<div class="form-group p-3">
							<label class="">Journey Date To.</label>
							<div class="input-group">
				
								<div class="input-group-append">
									<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
									</div>
									 
									<input  type="date" class="form-control" id="journeyDateTo" name="journeyDateTo" style="background-color:white;"placeholder="DD/MM/YYYY"   autocomplete="off"/>
								</div> 
					</div>
					</div>
					
					</div>
				
					<div class="d-flex flex-row justify-content-center">
						<button  ng-click="retriveBookingDataClear()" type="button"  class="btn btn-lg custom-search-btn mr-2">Clear</button>	 
						<button ng-click="retriveBookingData()" type="button"  class="btn btn-lg custom-search-btn">
										Search</button>
					</div>

				
			</form>
				
									
									<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 margtop40 text-center" >
										<div class="row" id="recentBookingModule">
											<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mt9">
												<form class=" ">
													<!-- <div class="row">
														<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
															<h3 class="headerOride size20 mt10">Booking Details</h3>
														</div>
													</div> -->
													<div class="" style="    margin-bottom: 10px;
													margin-top: 10px;
													height: 40px;">
														<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 search-criteria">
															<ul id="myTab" class="nav nav-tabs usermenu d-flex flex-row">
																<li class="{{fCheck==true?'active':''}} mx-1"><a ng-click="checkFlight('FLT')" style="cursor:pointer;font-size:14px !important"><i class="fa fa-plane"></i>&nbsp;<span class="hidetext">Flights</span>&nbsp;</a></li>
																<li class="{{hCheck==true?'active':''}} mx-1"><a ng-click="checkHotel('tab','HTL')" style="cursor:pointer;font-size:14px !important"><i class="fa fa-group"></i>&nbsp;<span class="hidetext">Hotels</span>&nbsp;</a></li>
																<li class="{{insCheck==true?'active':''}} mx-1"><a ng-click="checkInsurance('tab','INS')" style="cursor:pointer;font-size:14px !important"><i class="fa fa-bed"></i>&nbsp;<span class="hidetext">Insurance</span>&nbsp;</a></li>

																<!-- <li class="{{atCheck==true?'active':''}} col-lg-2"><a ng-click="checkAttraction('tab','Attraction')" style="cursor:pointer;font-size:14px !important"><i class="fa fa-group"></i>&nbsp;<span class="hidetext">Attraction</span>&nbsp;</a></li> -->
																
															</ul>
														</div>
													</div>
													<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 search-criteria">
														<div class="table-responsive">
															<table class="table table-border table-hover">
																<thead class="thead">
																	<!-- <th>Service</th> -->
																	<th class="gridcss">Supplier Ref No</th>
																	<th class="gridcss">Booking Date</th>
																	<!-- <th class="gridcss">Product Type</th> -->
																	<th class="gridcss">Total Fare(AED)</th>
																	
																	<th>Status</th>
																	</thead>
																	<tbody dir-paginate="bookingData in dataSourcedata | itemsPerPage:5" current-page="curentpage">
																		<!-- <td><span ng-show="prodType=='FLT'" title="Flight"><i class="fa fa-plane fa-lg"></i></span>
																			<span ng-show="prodType=='HTL'" title="Hotel"><i class="fa fa-bed fa-lg"></i></span>
																			<span ng-show="prodType=='INSRNC'" title="INSRNC"><i class="fa fa-group fa-lg"></i></span>
																			<span ng-show="prodType=='VISA'" title="Visa"><i class="fa fa-suitcase fa-lg"></i></span></td> -->
																	<td class="customColor1 userPnr" title="{{bookingData.bookingRefNo}}" ng-click="viewDocPnr(bookingData.bookingRefNo,bookingData.product);">
																	{{bookingData.bookingRefNo}}
																		
																		</td>
																	<td class=""  >{{bookingData.createTime | date:'dd/MM/yyyy'}}</td>
																	<!-- <td ng-If="bookingData.product == 'FLT'">Flight</td>
																	<td ng-If="bookingData.product == 'HTL'">Hotel</td>
																	<td ng-If="bookingData.product == 'INS'">Insurance</td> -->
																	<td class="">
																		<span>{{bookingData.actualAmount}}</span>
																		</td>
																	<td>{{bookingData.status}}</td>
																		</tbody>
																</table> 
																<dir-pagination-controls max-size="5" direction-links="true"
																		boundary-links="true" on-page-change="pageChanged(newPageNumber)" class="fr"></dir-pagination-controls>
																		</div>	

													</div>
													
								
											
												</form>
											</div>
										</div>

						</div>
				</form>
			</div>
			</div>
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 margtop40 text-center" ng-show="noRecords">
				<h5 style="    font-size: 20px;
				color: red;">  Looks like you haven't started booking with us. Start Booking Now! </h5>
				<a ui-sref="home" class="dark"><b>Go To Booking</b></a>
			</div>
	</div> <!-- end right -->
	</div>
</div>

<script>
	function bkgfrmDate(){
		var bjgfrmdatee = document.getElementById("bookingDateFrom");
		var bkgtoDate = document.getElementById("bookingDateTo");
    	bkgtoDate.setAttribute("min", bjgfrmdatee.value);
	}
	function jrnfrmDate(){
		var jryfrmdatee = document.getElementById("journeyDateFrom");
		var jrytoDate = document.getElementById("journeyDateTo");
    	jrytoDate.setAttribute("min", jryfrmdatee.value);
	}
</script>

